Pegex::Bootstrap(3)

NAME
Pegex::Bootstrap - Bootstrapping Compiler for a Pegex Grammar

SYNOPSIS
    use Pegex::Bootstrap;
    my $grammar_text = '... grammar text ...';
    my $pegex_compiler = Pegex::Bootstrap->new();
    my $grammar_tree = $pegex_compiler->compile($grammar_text)->tree;

DESCRIPTION
The Pegex language is defined in Pegex. In order to do that, it was necessary to make a bootstrap compiler that did the same thing. This way we could slowly build up the grammar, and make sure that the 2 compilers do the same thing. Parsing the Pegex language itself is not terribly hard, so this module just does it by hand.

Unless you are working on Pegex itself, you can ignore this module.

SEE ALSO

•   Pegex::Compiler

AUTHOR
Ingy döt Net <ingy@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2010-2020. Ingy döt Net.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>